VERSION 5.00
Object = "{DF39C3BA-7345-4977-B714-2D0BD67233EC}#1.0#0"; "SigCard1.ocx"
Begin VB.Form frmSCTest 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "SigCard1 Client"
   ClientHeight    =   2775
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7950
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2775
   ScaleWidth      =   7950
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   1440
      TabIndex        =   11
      Top             =   840
      Width           =   1095
   End
   Begin VB.TextBox txtDisplay 
      Height          =   765
      Left            =   240
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   9
      Top             =   1800
      Width           =   7455
   End
   Begin SigCard1.SigCard SigCard1 
      Left            =   5040
      Top             =   720
      _ExtentX        =   450
      _ExtentY        =   450
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   250
      Left            =   120
      Top             =   120
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   5040
      TabIndex        =   8
      Top             =   240
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.CommandButton cmdOpenPort 
      Caption         =   "Open Port"
      Height          =   495
      Left            =   240
      TabIndex        =   6
      Top             =   240
      Width           =   1095
   End
   Begin VB.CommandButton cmdClosePort 
      Caption         =   "Close Port"
      Height          =   495
      Left            =   1440
      TabIndex        =   5
      Top             =   240
      Width           =   1095
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "frmSigCard.frx":0000
      Left            =   5760
      List            =   "frmSigCard.frx":0016
      TabIndex        =   4
      Text            =   "1"
      Top             =   360
      Width           =   615
   End
   Begin VB.CommandButton cmdCurrentType 
      Caption         =   "Current Device Type"
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   840
      Width           =   1095
   End
   Begin VB.Frame Frame1 
      Caption         =   "MSR Type"
      Height          =   1215
      Left            =   2760
      TabIndex        =   0
      Top             =   120
      Width           =   1335
      Begin VB.OptionButton optSerial 
         Caption         =   "Serial"
         Height          =   255
         Left            =   240
         TabIndex        =   2
         Top             =   240
         Value           =   -1  'True
         Width           =   855
      End
      Begin VB.OptionButton optUSB 
         Caption         =   "USB"
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   600
         Width           =   735
      End
   End
   Begin VB.Label Label1 
      Caption         =   "Card Data"
      Height          =   255
      Left            =   240
      TabIndex        =   10
      Top             =   1560
      Width           =   855
   End
   Begin VB.Label Label2 
      Caption         =   "Com Port"
      Height          =   255
      Left            =   5760
      TabIndex        =   7
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "frmSCTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim blnSetOptBack As Boolean
Dim myStr As String

Private Sub cmdClosePort_Click()
SigCard1.SetCardState 0
Timer1.Enabled = False
cmdOpenPort.Enabled = True
End Sub

Private Sub cmdCurrentType_Click()
If SigCard1.MSRType = 0 Then
   MsgBox "Serial", vbOKOnly, "Device Type"
ElseIf SigCard1.MSRType = 6 Then
   MsgBox "USB", vbOKOnly, "Device Type"
End If

End Sub

Private Sub cmdExit_Click()
SigCard1.SetCardState 0
Timer1.Enabled = False
cmdOpenPort.Enabled = True
End
End Sub

Private Sub cmdOpenPort_Click()
Dim intAns As Integer
If SigCard1.MSRType = 0 Then
   SigCard1.SetComPort Combo1.Text
   intAns = SigCard1.SetCardState(1)
ElseIf SigCard1.MSRType = 6 Then
   intAns = SigCard1.SetCardState(1)
End If
Text1.Text = ""
txtDisplay.Text = ""
If intAns = 0 Then
   'open success
   cmdOpenPort.Enabled = False
   Timer1.Enabled = True
ElseIf intAns = 1 Then
   MsgBox "Error Opening Port." & vbCrLf & vbCrLf & "Either it does not exist or is already in use.", vbOKOnly + vbExclamation, "Error Opening Port " & Combo1.Text
ElseIf Err.Number = 2 Then
   MsgBox "Error Reading MSR Device", vbOKOnly + vbExclamation, "Error Reading MSR"
End If
End Sub

Private Sub Form_Load()
SigCard1.MSRType = 0
blnSetOptBack = False
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
SigCard1.SetCardState 0
Timer1.Enabled = False
cmdOpenPort.Enabled = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
SigCard1.SetCardState 0
End Sub


Private Sub optSerial_Click()
If blnSetOptBack = True Then
   blnSetOptBack = False
   Exit Sub
End If

If SigCard1.GetCardState <> 0 Then
   blnSetOptBack = True
   optUSB.Value = True
   MsgBox "Please close the port before changing it!", vbOKOnly + vbExclamation, "Close Port"
   Exit Sub
End If

SigCard1.MSRType = 0
End Sub

Private Sub optUSB_Click()
If blnSetOptBack = True Then
   blnSetOptBack = False
   Exit Sub
End If

If SigCard1.GetCardState <> 0 Then
   blnSetOptBack = True
   optSerial.Value = True
   MsgBox "Please close the port before changing it!", vbOKOnly + vbExclamation, "Close Port"
   Exit Sub
End If

SigCard1.MSRType = 6
End Sub

Private Sub SigCard1_CardReceived()
'use the cardreceived event to retrieve the data from the card
'the event may fire more than once per card swipe, to take that into account
Text1.Text = Text1.Text & SigCard1.GetCardData
End Sub

Private Sub Timer1_Timer()
On Error GoTo EH
'if the last two characters of the data are ?Lf, then we are done
If Asc(Right(Text1.Text, 1)) = 13 And Mid(Text1.Text, Len(Text1.Text) - 1, 1) = "?" Then
   Timer1.Enabled = False
   If Left(Text1.Text, 11) = "21088811D02" Then
      'remove the "initialize success" string
      Text1.Text = Right(Text1.Text, Len(Text1.Text) - 12)
   End If
   'MsgBox "Here's the final card data: " & vbCrLf & vbCrLf & Text1.Text
   txtDisplay.Text = Text1.Text
   Text1.Text = ""
   Timer1.Enabled = True
End If
Exit Sub
EH:
End Sub


